# AndFilter (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain.query.filters

## Class AndFilter

- java.lang.Object
- - io.dapr.client.domain.query.filters.Filter<Void>
  - - io.dapr.client.domain.query.filters.AndFilter

    public class AndFilter
    extends Filter<Void>

### Constructor Summary

Constructors
`AndFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<V extends Filter<?>> AndFilter` `addClause​(V filter)`
`Filter<?>[]` `getClauses()`
`String` `getRepresentation()`
`Boolean` `isValid()`

### Methods inherited from class io.dapr.client.domain.query.filters.Filter

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AndFilter

    public AndFilter()

### Method Detail

#### addClause

    public <V extends Filter<?>> AndFilter addClause​(V filter)

#### getClauses

    public Filter<?>[] getClauses()

#### getRepresentation

    public String getRepresentation()

Specified by:
  `getRepresentation` in class `Filter<Void>`

#### isValid

    public Boolean isValid()

Specified by:
  `isValid` in class `Filter<Void>`